Linden Labs Viewer 2.0 no longer breaks compatibility with the OpenSim platform and may cause damage to your inventory, so it should not be used at present. It is likely that the hardworking OpenSim developers will solve this problem during the coming months, providing Linden Labs don't break anything else :-/ This one has been solved.

This includes new viewers based on this codebase, e.g. Kirsten's Viewer 20.